Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRIBLight Class Reference

`#include <vtkRIBLight.h>`

Inheritance diagram for vtkRIBLight:

[legend]
Collaboration diagram for vtkRIBLight:

[legend]
List of all members.

## Detailed Description

RIP Light.

Date:
  2002/06/04 02:21:52

Revision:
  1.16

vtkRIBLight is a subclass of vtkLight that allows the user to specify light source shaders and shadow casting lights for use with RenderMan.

See also:
  vtkRIBExporter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (77%)
  - Schroeder, Will (13%)
  - Lorensen, Bill (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkRIBLight.cxx)`
  - .`h` (`/Hybrid/vtkRIBLight.h)`

Tests:
  vtkRIBLight (Tests)

Definition at line 51 of file vtkRIBLight.h.

## Public Types
typedef vtkLight | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | ShadowsOn ()
virtual void | ShadowsOff ()
virtual void | SetShadows (int)
virtual int | GetShadows ()
void | Render (vtkRenderer *ren, int index)
## Static Public Methods
vtkRIBLight * | New ()
int | IsTypeOf (const char *type)
vtkRIBLight * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRIBLight ()
| ~vtkRIBLight ()
## Protected Attributes
vtkLight * | Light
int | Shadows

## Member Typedef Documentation

typedef vtkLight vtkRIBLight::Superclass

| Reimplemented from vtkLight. Definition at line 55 of file vtkRIBLight.h.

## Constructor & Destructor Documentation

vtkRIBLight::vtkRIBLight | ( |  | ) | `[protected]`

vtkRIBLight::~vtkRIBLight | ( |  | ) | `[protected]`

## Member Function Documentation

vtkRIBLight* vtkRIBLight::New | ( |  | ) | `[static]`

| Create a light with the focal point at the origin and its position set to (0,0,1). The light is a SceneLight, its color is white, intensity=1, and the light is turned on. Reimplemented from vtkLight.

virtual const char* vtkRIBLight::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkLight.

int vtkRIBLight::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLight.

virtual int vtkRIBLight::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkLight.

vtkRIBLight* vtkRIBLight::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkLight.

void vtkRIBLight::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkLight.

virtual void vtkRIBLight::ShadowsOn | ( |  | ) | `[virtual]`

virtual void vtkRIBLight::ShadowsOff | ( |  | ) | `[virtual]`

virtual void vtkRIBLight::SetShadows | ( | int |  | ) | `[virtual]`

virtual int vtkRIBLight::GetShadows | ( |  | ) | `[virtual]`

void vtkRIBLight::Render | ( | vtkRenderer * | ren,
|  | int | index
| ) | `[virtual]`

| Abstract interface to renderer. Each concrete subclass of vtkLight will load its data into the graphics system in response to this method invocation. The actual loading is performed by a vtkLightDevice subclass, which will get created automatically. Reimplemented from vtkLight.

## Member Data Documentation

vtkLight* vtkRIBLight::Light`[protected]`

| Definition at line 67 of file vtkRIBLight.h.

int vtkRIBLight::Shadows`[protected]`

| Definition at line 68 of file vtkRIBLight.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkRIBLight.h